summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/core/tdenetwork/debian/ktalkd-trinity.postrm
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 21:15:11 +0800
committerMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 21:15:11 +0800
commit98095beb82f000d888dfa15bada80376c48df837 (patch)
treedadbf7de3432fa5cbf95c42733d19d5cf0508034 /ubuntu/_base/core/tdenetwork/debian/ktalkd-trinity.postrm
parentf3d5de18f2bdf89d5923d560420ae23cac051cb8 (diff)
downloadtde-packaging-98095beb82f000d888dfa15bada80376c48df837.tar.gz
tde-packaging-98095beb82f000d888dfa15bada80376c48df837.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/core/tdenetwork/debian/ktalkd-trinity.postrm')
-rw-r--r--ubuntu/_base/core/tdenetwork/debian/ktalkd-trinity.postrm34
1 files changed, 34 insertions, 0 deletions
diff --git a/ubuntu/_base/core/tdenetwork/debian/ktalkd-trinity.postrm b/ubuntu/_base/core/tdenetwork/debian/ktalkd-trinity.postrm
new file mode 100644
index 000000000..6c2b34cdc
--- /dev/null
+++ b/ubuntu/_base/core/tdenetwork/debian/ktalkd-trinity.postrm
@@ -0,0 +1,34 @@
+#! /bin/sh
+# postrm script for ktalkd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+remove_talk() {
+ if [ -x /usr/sbin/update-inetd ]
+ then
+ /usr/sbin/update-inetd --remove 'talk[ \t].*[ \t]/usr/sbin/ktalkd'
+ /usr/sbin/update-inetd --remove 'ntalk[ \t].*[ \t]/usr/sbin/ktalkd'
+ fi
+}
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ remove_talk
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+